Skip to main content
POST
/
v1
/
faces
/
{face_id}
/
transcribe
Transcribe Face File
curl --request POST \
  --url https://api.faces.sh/v1/faces/{face_id}/transcribe \
  --header 'Content-Type: multipart/form-data' \
  --form 'file=<string>'
{
  "text": "<string>",
  "duration_seconds": 123,
  "has_speakers": true,
  "speakers": [
    "<unknown>"
  ],
  "utterances": [
    {
      "speaker": "<string>",
      "text": "<string>"
    }
  ],
  "amount_charged_usd": 123
}

Headers

authorization
string | null

Path Parameters

face_id
string
required

Body

multipart/form-data
file
string
required

Response

Successful Response

text
string
required
duration_seconds
number
required
has_speakers
boolean
required
speakers
any[]
required
utterances
UtteranceObject · object[]
required
amount_charged_usd
number
required